Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002570KdenliveEffectspublic2012-04-10 12:182012-05-30 00:26
ReporterSunboy 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
Platform64 bitOSFedora LinuxOS Version16
Product VersionRecent git 
Target VersionFixed in Version0.9.2 
Summary0002570: Fade in, Fade out and Fade from/to black are not working sometimes
DescriptionThese Effects do not work properly in many situations. I have not figured out what exactly evokes this. The Bug that those effects do not change their in- and out points when a clip is trimmed has already been reported by someone, but in addition the Effects do sometimes stop working at all or do not even start to work if they are added to a clip even though they show up in the effect stack.
Steps To ReproduceI haven't figured out a rule to reproduce this. Seems to appear randomly, but quite often.
TagsNo tags attached.
Build/Install MethodBuild Script
Attached Files

- Relationships

-  Notes
(0007973)
Sunboy (reporter)
2012-04-10 18:58

I had got some time to do more testing it with the fade to black effect:
Import a videoclip, then split audio. Add the fade to black effect by dragging from the strips upper right corner in the timeline. The effect will work.

1) Trim the clip. The effect's in and out points have not moved with the trimming, so the effect will be wrong.

Or 2) Move the clip around. Now the fade to black effect does not work at all.

Also, if audio and video are not split, dragging from one of the strip's upper corners will add a fade out/in audio effect on my build. Maybe it would be better if you could choose if an audio or video fade is added. Maybe by holding a shortcut pressed while dragging to add a video fade?
(0008086)
jappel (reporter)
2012-05-27 00:17

I can confirm the bug in kdenlive 0.9 / mlt 0.7.8, the packages which are provided by arch atm. on x86_64

If the clip gets resized, the fade in / fade out effect is no longer applied. It needs to be removed from the effect stack and added again to the clip, then it works as expected (until the next resizing).
(0008088)
j-b-m (administrator)
2012-05-27 09:07

I could reproduce the problem in some cases, working on it
(0008089)
j-b-m (administrator)
2012-05-27 12:19

Should now be fixed in git, thanks

- Issue History
Date Modified Username Field Change
2012-04-10 12:18 Sunboy New Issue
2012-04-10 18:58 Sunboy Note Added: 0007973
2012-05-27 00:17 jappel Note Added: 0008086
2012-05-27 09:07 j-b-m Note Added: 0008088
2012-05-27 09:07 j-b-m Assigned To => j-b-m
2012-05-27 09:07 j-b-m Status new => acknowledged
2012-05-27 12:19 j-b-m Note Added: 0008089
2012-05-30 00:26 j-b-m Status acknowledged => resolved
2012-05-30 00:26 j-b-m Fixed in Version => 0.9.2
2012-05-30 00:26 j-b-m Resolution open => fixed
2012-05-30 00:26 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker